/**
 * 
 */
package org.richfaces.realworld.search;

/**
 * @author Andrey Markavtsov
 *
 */
public abstract class ISearchOption {
	
	private boolean selected;
	
	public abstract String getName();

	public abstract String getTemplate();
	
	public boolean getSelected() {
		return selected;
	}
	
	public void setSelected(boolean selected) {
		this.selected = selected;
	}
	
	@Override
	public String toString() {
		return getName();
	}
}

